<template>
  <transition :enter-active-class="proxy?.animate.searchAnimate.enter" :leave-active-class="proxy?.animate.searchAnimate.leave">
    <div v-if="showSearch" class="mb-[10px]">
      <el-card shadow="hover">
        <el-button type="primary" icon="Search" @click="handleTest">测试word</el-button>

        <el-button type="primary" icon="Search" @click="handleExcelTest">测试Excel</el-button>

        <el-button type="primary" icon="Search" @click="handleZipTest">测试Zip</el-button>
        <el-button type="primary" icon="Search" @click="handlePdfTest">测试PDF</el-button>
      </el-card>
    </div>
  </transition>
</template>

<script setup name="PintTest" lang="ts">
import { testExcelPrint, testPDFPrint, testPrint, testZipPrint } from '@/api/print/test';

const { proxy } = getCurrentInstance() as ComponentInternalInstance;
const showSearch = ref(true);

const handleTest = () => {
  testPrint();
};

const handleExcelTest = () => {
  testExcelPrint();
};

const handleZipTest = () => {
  testZipPrint();
};

const handlePdfTest = () => {
  testPDFPrint();
};
</script>
